Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDataSink Class Reference
[obsolete]

The TQDataSink class is an asynchronous consumer of data. More...

`#include <ntqasyncio.h>`

Inherits TQAsyncIO.

List of all member functions.

## Public Members

- virtual int readyToReceive () = 0
- virtual void receive ( const uchar *, int count ) = 0
- virtual void eof () = 0
- void maybeReady ()

## Detailed Description

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

The TQDataSink class is an asynchronous consumer of data.

A data sink is an object which receives data from some source in an asynchronous manner. This means that at some time not determined by the data sink, blocks of data are given to it from processing. The data sink is able to limit the maximum size of such blocks which it is currently able to process.

See also TQAsyncIO, TQDataSource, and TQDataPump.

## Member Function Documentation

### void TQDataSink::eof ()`[pure virtual]`

This function will be called when no more data is available for processing.

### void TQDataSink::maybeReady ()

This should be called whenever readyToReceive() might have become non-zero. It is merely calls TQAsyncIO::ready() if readyToReceive() is non-zero.

### int TQDataSink::readyToReceive ()`[pure virtual]`

The data sink should return a value indicating how much data it is ready to consume. This may be 0.

### void TQDataSink::receive ( const uchar *, int count )`[pure virtual]`

This function is called to provide data for the data sink. The count will be no more than the amount indicated by the most recent call to readyToReceive(). The sink must use all the provided data.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.